Export dashboard panel CSV
curl --request POST \
--url https://v1.api.altostrat.io/metrics/dashboards/{dashboardUid}/panels/{panelId}/export \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"from": "now-7d",
"to": "now",
"variables": {}
}
'import requests
url = "https://v1.api.altostrat.io/metrics/dashboards/{dashboardUid}/panels/{panelId}/export"
payload = {
"from": "now-7d",
"to": "now",
"variables": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({from: 'now-7d', to: 'now', variables: {}})
};
fetch('https://v1.api.altostrat.io/metrics/dashboards/{dashboardUid}/panels/{panelId}/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"Time,Value\n2026-04-20T00:00:00Z,42"{
"type": "invalid_request_error",
"code": "parameter_invalid",
"message": "The provided 'siteId' is not a valid UUID.",
"doc_url": "https://docs.altostrat.io/errors/parameter_invalid"
}{
"type": "invalid_request_error",
"code": "parameter_invalid",
"message": "The provided 'siteId' is not a valid UUID.",
"doc_url": "https://docs.altostrat.io/errors/parameter_invalid"
}{
"type": "invalid_request_error",
"code": "parameter_invalid",
"message": "The provided 'siteId' is not a valid UUID.",
"doc_url": "https://docs.altostrat.io/errors/parameter_invalid"
}{
"type": "invalid_request_error",
"code": "parameter_invalid",
"message": "The provided 'siteId' is not a valid UUID.",
"doc_url": "https://docs.altostrat.io/errors/parameter_invalid"
}Grafana Dashboards
Export dashboard panel CSV
Exports a single Grafana dashboard panel as CSV for reporting, audit, or billing workflows.
POST
/
metrics
/
dashboards
/
{dashboardUid}
/
panels
/
{panelId}
/
export
Export dashboard panel CSV
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The Grafana dashboard UID.
Example:
"router_system_metrics"
The numeric Grafana panel ID.
Example:
12
Body
application/json
Response
CSV panel export.
The response is of type string.
Example:
"Time,Value\n2026-04-20T00:00:00Z,42"
Was this page helpful?
⌘I